(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('marked'), require('highlight.js')) :
	typeof define === 'function' && define.amd ? define(['exports', '@angular/core', 'marked', 'highlight.js'], factory) :
	(factory((global.ng = global.ng || {}, global.ng.simpleForms = {}),global.ng.core,global.marked,global.highlight.js));
}(this, (function (exports,_angular_core,marked,highlight_js) { 'use strict';

var MarkdownDirective = (function () {
    function MarkdownDirective(el) {
        this.el = el;
        this.highlight = true;
        this.lineNumbers = true;
    }
    MarkdownDirective.prototype.ngOnInit = function () {
        this.el.nativeElement.innerHTML = marked.parse(this.markdown, { sanitize: this.sanitize });
        if (this.highlight) {
            var preTags = this.el.nativeElement.getElementsByTagName('pre');
            for (var _i = 0, preTags_1 = preTags; _i < preTags_1.length; _i++) {
                var pre = preTags_1[_i];
                pre.classList.add(pre.getElementsByTagName('code')[0].className.split('-')[1]);
                this.removeLines(pre);
                highlight_js.highlightBlock(pre);
                if (this.lineNumbers) {
                    this.addLines(pre);
                }
            }
        }
    };
    MarkdownDirective.prototype.removeLines = function (pre) {
        var span = pre.querySelector('span.line-number');
        if (span) {
            pre.removeChild(span);
        }
    };
    MarkdownDirective.prototype.addLines = function (pre) {
        var style = 'style="float: left;text-align: right;"';
        var rowStyle = 'style="display: block;padding: 0 .5em 0 1em;border-right: 1px solid;margin-right: 5px;"';
        pre.innerHTML = '<span class="line-number" ' + style + '></span>' + pre.innerHTML + '<span class="cl"></span>';
        var num = pre.innerHTML.split(/\n/).length;
        for (var j = 1; j < num; j++) {
            var lineNum = pre.getElementsByTagName('span')[0];
            lineNum.innerHTML += '<span ' + rowStyle + '>' + (j) + '</span>';
        }
    };
    MarkdownDirective.decorators = [
        { type: _angular_core.Directive, args: [{ selector: '[markdown]' },] },
    ];
    /** @nocollapse */
    MarkdownDirective.ctorParameters = function () { return [
        { type: _angular_core.ElementRef, },
    ]; };
    MarkdownDirective.propDecorators = {
        'markdown': [{ type: _angular_core.Input },],
        'sanitize': [{ type: _angular_core.Input },],
        'highlight': [{ type: _angular_core.Input },],
        'lineNumbers': [{ type: _angular_core.Input },],
    };
    return MarkdownDirective;
}());

var MarkdownModule = (function () {
    function MarkdownModule() {
    }
    MarkdownModule.decorators = [
        { type: _angular_core.NgModule, args: [{
                    declarations: [
                        MarkdownDirective
                    ],
                    exports: [
                        MarkdownDirective
                    ]
                },] },
    ];
    /** @nocollapse */
    MarkdownModule.ctorParameters = function () { return []; };
    return MarkdownModule;
}());

exports.MarkdownDirective = MarkdownDirective;
exports.MarkdownModule = MarkdownModule;

Object.defineProperty(exports, '__esModule', { value: true });

})));
